Bug 56952 - Bogus error message opening a document from read-only location
Summary: Bogus error message opening a document from read-only location
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 61504 (view as bug list)
Depends on:
Blocks: Error-Messages Read-Only
  Show dependency treegraph
 
Reported: 2012-11-10 13:28 UTC by Urmas
Modified: 2022-01-16 03:42 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-11-10 13:28:24 UTC
When opening a document from R/O location, the message "this file was locked by the user <unknown>" appears. The document should be opened read-only without any prompts.
Comment 1 Jean-Baptiste Faure 2012-12-22 10:40:38 UTC
I do not reproduce with Version 4.0.0.0.beta2+ (Build ID: d3b7a2bfe2a95153134f340c5a13a467de95a0d) under Ubuntu 12.04 x86_64. The files are opened in read-only mode without any message, as expected.

@reporter: please, could you try again with a recent build?
What is your OS?

Best regards. JBF
Comment 2 Urmas 2012-12-22 12:48:29 UTC
Same behaviour under Windows with recent master.
Comment 3 Jean-Baptiste Faure 2012-12-22 13:16:52 UTC
(In reply to comment #2)
> Same behaviour under Windows with recent master.

And with LO 4.0 beta2 ?
http://dev-builds.libreoffice.org/pre-releases/win/x86/

If the problem is for the master only then version should be changed for "LO 4.1.0.0.alpha0+Master"

Best regards. JBF
Comment 4 Urmas 2012-12-23 09:22:29 UTC
There was no hint of any 4.x version when this bug was reported, so it is present in each version since then. Please stop this sophistics.
Comment 5 Michel Rudelle 2012-12-31 15:25:21 UTC
I do not reproduce with Version 4.0.0.0.beta2
(Build ID: 4104d660979c57e1160b5135634f732918460a0)
under Windows Vista
Tested on odt and ods files, opened in read-only mode without any message, as expected.
Comment 6 Jean-Baptiste Faure 2013-01-01 15:50:00 UTC
Hi Urmas,
Did you checked if there is a remaining lock-file for your document? This kind of hidden file has a name like .~lock.filename.odt# where filename.odt is the locked file. It prevents the user to open the same file twice. It is removed on closing the file, but maybe not if LO crashed.

I asked on fr QA list to try to reproduce the problem with LO 4.0.0.beta2 under MS-Windows. I got 3 answers (XP, Vista and W7) and no one succeeded to reproduce the behavior you described.

Best regards. JBF
Comment 7 Urmas 2013-01-14 11:28:57 UTC
As expected, confirmed with master under Vista. With both ODF and DOC files. There are no any lockfiles, and there cannot be any, because of READ-ONLY location. There are clear instructions how to reproduce it, so that 'cannot reproduce' trolling should stop.
Comment 8 Urmas 2013-02-26 11:42:09 UTC
*** Bug 61504 has been marked as a duplicate of this bug. ***
Comment 9 Winfried Donkers 2013-02-26 12:02:08 UTC
Some additional information:
-the read-only location is read-only for the user or the group to which user belongs) trying to open the document, the location can be without limitations for other users/groups;
-this behaviour dates from before v4, I cannot go further back than v3.5 without having to install and it occurs in v3.5 as well.
Comment 10 QA Administrators 2015-06-08 14:42:12 UTC Comment hidden (obsolete)
Comment 11 Alexey 2016-02-26 07:45:23 UTC
Bug exist on Windows 2012 R2 x64
on LO Version 4.3.0.4 and 5.1.0.3
Comment 12 QA Administrators 2017-03-06 15:12:05 UTC Comment hidden (obsolete)
Comment 13 Terrence Enger 2020-01-16 15:58:02 UTC
I see this same message when I try to open a read-only file.  I
suspect that "R/O location" in the bug description means the contaning
directory, but I am guessing that my situation is close enough to fit
into the same bug report.  Correction welcome.

My LibreOffice is a dbgutil build:

    Version: 6.5.0.0.alpha0+
    Build ID: ce685f64f38551e7984155783c9c7660d986abf6
    CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
    Locale: en-CA (en_CA.utf8); UI-Language: en-US
    Calc: threaded

built and running on debian-buster.

I am setting O/S All, and I am flagging the previous request for
restest, 2017-03-06, obsolete.
Comment 14 QA Administrators 2022-01-16 03:42:05 UTC
Dear Urmas,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug